# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401
from openapi_server.models.juice_offering import JuiceOffering


class JuiceOfferingDB(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    JuiceOfferingDB - a model defined in OpenAPI

        juice_offering: The juice_offering of this JuiceOfferingDB.
        state: The state of this JuiceOfferingDB.
    """

    juice_offering: JuiceOffering = Field(alias="juiceOffering")
    state: str = Field(alias="state")

JuiceOfferingDB.update_forward_refs()
